### Method

# Gtk Snapshot append_inset_shadow

#### Declaration [src]

    void
    gtk_snapshot_append_inset_shadow (
      GtkSnapshot* snapshot,
      const GskRoundedRect* outline,
      const GdkRGBA* color,
      float dx,
      float dy,
      float spread,
      float blur_radius
    )

#### Description [src]

Appends an inset shadow into the box given by `outline`.

#### Parameters

`outline` | `const GskRoundedRect*`
| Outline of the region surrounded by shadow.
| The data is owned by the caller of the function.
`color` | `const GdkRGBA*`
| Color of the shadow.
| The data is owned by the caller of the function.
`dx` | `float`
| Horizontal offset of shadow.
`dy` | `float`
| Vertical offset of shadow.
`spread` | `float`
| How far the shadow spreads towards the inside.
`blur_radius` | `float`
| How much blur to apply to the shadow.